This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 173249 - Review Request: mpd - Music Player Daemon
Review Request: mpd - Music Player Daemon
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Greg DeKoenigsberg
David Lawrence
http://www.musicpd.org/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-15 12:32 EST by Jan "Yenya" Kasprzak
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-16 04:00:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan "Yenya" Kasprzak 2005-11-15 12:32:04 EST
Spec Name or Url: ftp://ftp.linux.cz/pub/linux/people/jan_kasprzak/mpd/mpd.spec
SRPM Name or Url: ftp://ftp.linux.cz/pub/linux/people/jan_kasprzak/mpd/mpd-0.11.5-1.src.rpm
Description: 

Hello, world! I have just finished my first package for Fedora Extras - I am looking for a sponsor! The package is named mpd (music player daemon, http://www.musicpd.org/). The %description is as follows:

Music Player Daemon (MPD) allows remote access for playing music (MP3,
Ogg Vorbis, FLAC, AAC, Mod, and wave files) and managing playlists. MPD is
designed for integrating a computer into a stereo system that provides
control for music playback over a local network. It is also makes a
great desktop music player, especially if you are a console junkie,
like frontend options, or restart X often.

Packager's note: this package may be build without mp3 support due to the
Fedora restrictions. To add support for MP3 format, just recompile it
on a host which has lame-devel package installed.
Comment 1 Andreas Bierfert 2005-11-15 12:38:40 EST
Hm, this probably falls under this:

http://fedoraproject.org/wiki/ForbiddenItems
Comment 2 Jan "Yenya" Kasprzak 2005-11-15 12:43:05 EST
Why? This package does not contain a MP3 support (unless you build the package
on the host which has MP3 libraries installed). If you build this on the
clean Fedora system, you get ogg, flac, wav, and mod support only. In this
sense it is the same as xmms (which is included in Fedora) - it also _can_ support
MP3, just the Fedora package is compiled without it.

If there is another problem than (optional) MP3 support, please explain further.
Comment 3 Andreas Bierfert 2005-11-15 13:09:10 EST
That is true... maybe you should change the decription and edit out the stuff
not supported... other then that I see no legal problem then... 
Comment 4 Michael A. Peters 2005-11-15 13:15:54 EST
If mp3 support can not be added via a plugin, I would suggest trying to get this
package _with_ mp3 support into rpm.livna.org.

If mp3 support can be added as a plugin, then extras would be better - with the
plugin in rpm.livna.org
Comment 5 Adrian Reber 2005-11-15 13:22:46 EST
$ yum list | grep mpd
mpd.i386                                 0.11.5-0.lvn.3.4       livna

This is already available in rpm.livna.org.
Comment 6 Ville Skyttä 2005-11-15 13:38:28 EST
Does the tarball/SRPM still contain a copy of the libmad source? 
AFAICT that would be a no go.  See also the last few comments of 
http://bugzilla.fedora.us/show_bug.cgi?id=2234 and FWIW, 
http://mpd.wikicities.com/wiki/Install#Fedora_Install_Procedure 
Comment 7 Jan "Yenya" Kasprzak 2005-11-16 04:00:41 EST
I did not know about the rpm.livna.org repository. Maybe it should be mentioned
in Fedora Extras contributor's documentation. Sorry for the noise.
Comment 8 Steven Garrity 2006-12-26 11:48:38 EST
MPD has come a long way in the last year - perhaps it is now possible to move
the MP3 support into a plugin?

Note You need to log in before you can comment on or make changes to this bug.